%
%  x=nntik(A,L,b,lambda)
%
%  Performs Tikhonov regularization with nonnegativity constraints.  That
%  is, x will be the solution to
%
%     min || A*x-b ||^2 + lambda^2 * || L*x ||^2
%         x >= 0
%
%  Uses the nnls procedure in matlab to solve the optimization problem.
%
%  Updated 3/20/15:  Use lsqnonneg rather than nnls as MATLAB has
%  renamed this function in recent versions.  
%
function x=nntik(A,L,b,lambda)
H=[A ; lambda*L];
q=[b ; zeros(size(L,1),1)];
x=lsqnonneg(H,q);
